OctoPrint won't start after updating!

Just updated to 1.8, rebooted the raspberry pi, now OctoPrint won't start, that's the message I get when I try to run it via command line :

/home/pi/OctoPrint/venv/bin/octoprint serve
Traceback (most recent call last):
File "/home/pi/OctoPrint/venv/lib/python3.7/site-packages/pkg_resources/init.py", line 583, in _build_master
ws.require(requires)
File "/home/pi/OctoPrint/venv/lib/python3.7/site-packages/pkg_resources/init.py", line 900, in require
needed = self.resolve(parse_requirements(requirements))
File "/home/pi/OctoPrint/venv/lib/python3.7/site-packages/pkg_resources/init.py", line 791, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (Jinja2 2.11.3 (/home/pi/OctoPrint/venv/lib/python3.7/site-packages), Requirement.parse('Jinja2>=3.0'), {'flask'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/pi/OctoPrint/venv/bin/octoprint", line 6, in
from pkg_resources import load_entry_point
File "/home/pi/OctoPrint/venv/lib/python3.7/site-packages/pkg_resources/init.py", line 3191, in
@_call_aside
File "/home/pi/OctoPrint/venv/lib/python3.7/site-packages/pkg_resources/init.py", line 3175, in _call_aside
f(*args, **kwargs)
File "/home/pi/OctoPrint/venv/lib/python3.7/site-packages/pkg_resources/init.py", line 3204, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/home/pi/OctoPrint/venv/lib/python3.7/site-packages/pkg_resources/init.py", line 585, in _build_master
return cls._build_from_requirements(requires)
File "/home/pi/OctoPrint/venv/lib/python3.7/site-packages/pkg_resources/init.py", line 598, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/home/pi/OctoPrint/venv/lib/python3.7/site-packages/pkg_resources/init.py", line 786, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'Jinja2>=3.0' distribution was not found and is required by flask

I tried to update the Jinja2 version with no result but I'm not even sure that's the real problem. I really need the help of someone with more experience in this kind of issues.

Maybe the update didn't go through fully/properly.

You can attempt to reinstall it: